RankSharkDocs
Workspace

Subscription and engine status

RankShark EnhanceScopesystem:read

GET
/api/v1/status

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Response Body

OK

application/json
  1. response
subscription?
engine?
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/status'
Example Response
{  "subscription": {    "active": true  },  "engine": {    "running": true,    "threads": 0  }}